worker(1)

NAME
worker - file manager for the X Window System

SYNOPSIS
worker [options]
worker [directory1[ directory2]]

DESCRIPTION
worker is a graphical file manager for the X Window System. It uses the classical two-panel view of the files and directories. It has many internal operations while any external program can also be used for operating on the selected items.
You can easily add actions to filetypes or buttons with the builtin configuration program.
For details read the documentation available at the Worker homepage (see below).

OPTIONS

-h, --help
    This shows a little help about options and quits immediately

-V, --version
    This shows the program version

-c, --config=<path>
    Use given path for configuration data

--override_xim=<yes/no>
    Override global XIM setting to use simple method

Any other argument will be interpreted as directory to show on the left side.
A second argument can be a directory to show on the right side.

SIGNALS
SIGUSR1 causes Worker to stop executing the command list, useful when stuck in an endless loop.

ENVIRONMENT

WORKER_XEDITOR
    overrides the editor used by Worker in the default configuration.

FILES

~/.worker

    Worker's default configuration directory (can be changed with -c argument).

~/.worker/config

    Worker's configuration.

~/.worker/lvconf

    left and right list view configuration settings.

~/.worker/bookmarks

    List of stored bookmarks and their categories (labels).

~/.worker/prefix.db

    Probability database to suggest best bookmark entry for a given filter string.

~/.worker/directory-history

    List of directories visited in the past. Feature must be enabled in the path jump configuration.

~/.worker/directory-history.prob

    Probability database to suggest best path jump entry for a given filter string.

~/.worker/filterselect-history

    List of filters used for select list view entries based on a pattern.

~/.worker/last_running_version

    contains the latest Worker version run on this account. Used for importing new config examples when updating Worker.

~/.worker/menu-choices

    Probability database to suggest best command menu entry for a given filter string.

~/.worker/setfilter-history

    Filters previously applied to the list view.

~/.worker/startprog-history

    Commands previously executed in the startprog command.

~/.worker/volman_ignore_devices

    List of volumes to ignore in the volume manager. Can be configured in the volume manager UI.

~/.worker/override_xim

    Special file telling worker to use a fallback X input method if this file exists. Used in case the keyboard is stuck. Argument --override_xim can be used to change this behavior.

LICENSE
This program is distributed under the terms of the GNU General Public License V2 or later as published by the Free Software Foundation.

AVAILABILITY
The latest version and online documentation can be found at
http://www.boomerangsworld.de/worker

AUTHOR
Ralf Hoffmann <ralf@boomerangsworld.de>